Ticket #7 (closed enhancement: fixed)

Opened 7 years ago

Last modified 4 years ago

Allow pages to override the main Mungo::Response error display

Reported by: jesus Assigned to: somebody
Priority: Minor (have workaround) Component: Error Handling
Severity: 4-16 Hours Keywords:
Cc:

Description

If we die, Mungo::Response formats us an error (optionally with a stack trace and code highlighting). This is great for debugging, but in production apps we want to pretty print "something else."

Allow us to replace the way errors are rendered.

Change History

10/04/07 22:35:40 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

(In [14]) fixes #7

10/05/07 00:59:40 changed by jesus

(In [15]) Properly unwind the IO stack and do cleaner re-throws of errors. This makes complicate OnError? subroutines work with errors that occur in TrapIncludes?, refs #7

11/30/09 22:18:37 changed by clinton

  • priority changed from Major to Minor (have workaround).
  • type changed from defect to enhancement.
  • component changed from component1 to Error Handling.
  • severity set to 4-16 Hours.